Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.MaterialRef

    java.lang.Object
      igeo.io.IRhino3dm.MaterialRef

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.MaterialRef

extends java.lang.Object

Field Summary
`IRhino3dm.UUID` | `materialBackfaceId`
`int` | `materialBackfaceIndex`
`IRhino3dm.UUID` | `materialId`
`int` | `materialIndex`
`int` | `materialSource`
`IRhino3dm.UUID` | `pluginId`
`char` | `reserved1`
`char` | `reserved2`
`char` | `reserved3`

Constructor Summary
`IRhino3dm.MaterialRef()`

Method Summary
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pluginId

    public IRhino3dm.UUID pluginId

### materialId

    public IRhino3dm.UUID materialId

### materialBackfaceId

    public IRhino3dm.UUID materialBackfaceId

### materialSource

    public int materialSource

### reserved1

    public char reserved1

### reserved2

    public char reserved2

### reserved3

    public char reserved3

### materialIndex

    public int materialIndex

### materialBackfaceIndex

    public int materialBackfaceIndex

Constructor Detail

### IRhino3dm.MaterialRef

    public IRhino3dm.MaterialRef()

Method Detail

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD